export interface TokenInterface {
    header: {
        [key: string]: Json;
        alg?: string;
        typ?: string;
    };
    payload: {
        [key: string]: Json;
        iss?: string;
        jti?: string;
        iat?: string | number;
        exp?: string | number;
    } | string;
    signature: string;
}
export declare type Json = string | number | boolean | null | {
    [property: string]: Json;
} | Json[];
export declare function decodeToken(token: string | TokenInterface): TokenInterface;
