import { SECP256K1Client } from './cryptoClients';
import { SignedToken } from './signer';
export declare class TokenVerifier {
    tokenType: string;
    cryptoClient: typeof SECP256K1Client;
    rawPublicKey: string;
    constructor(signingAlgorithm: string, rawPublicKey: string);
    verify(token: string | SignedToken): boolean;
    verifyAsync(token: string | SignedToken): Promise<boolean>;
    verifyCompact(token: string, async: false): boolean;
    verifyCompact(token: string, async: true): Promise<boolean>;
    verifyExpanded(token: SignedToken, async: false): boolean;
    verifyExpanded(token: SignedToken, async: true): Promise<boolean>;
}
